using Kingdee.BOS.Core.DynamicForm;
using Kingdee.BOS.Core.DynamicForm.PlugIn.Args;
using Kingdee.BOS.Core.List.PlugIn;
using Kingdee.BOS.Log;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace LQKJ.K3.MES.BusinessPlugIn
{
    [Kingdee.BOS.Util.HotUpdate]
    [Description("集成系统登录跳转")]
    public class JumploginPlugin: AbstractListPlugIn
    {
        public override void BarItemClick(BarItemClickEventArgs e)
        {
            base.BarItemClick(e);
            Logger.Info("LQKJ_SysLogin", e.BarItemKey);
            if (e.BarItemKey == "LQKJ_SysLogin")
            {
                Logger.Info("LQKJ_SysLogin", "进入了if");
                ViewCommonAction.ShowWebURL(this.View, $@"http://192.168.2.47/user/login");
            }
        }
    }
}
